> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set shipping address

> Set shipping address

### Path parameters

<ParamField path="session_id" type="string (uuid)" required>
  Checkout session id
</ParamField>

### Request body

JSON body of type `AddressRequest`.

### Responses

<ResponseField name="200" type="ApiResponse_CheckoutSessionResponse">
  Checkout session updated
</ResponseField>

<ResponseField name="400" type="ErrorResponse">
  Invalid request
</ResponseField>

<ResponseField name="401" type="ErrorResponse">
  Unauthorized
</ResponseField>

<ResponseField name="404" type="ErrorResponse">
  Not found
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request PUT \
    --url 'https://api.stateset.com/api/v1/checkout/{session_id}/shipping-address' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "billing_address": null,
      "cart_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "currency": "string",
      "customer_email": null,
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "payment_method": null,
      "shipping_address": null,
      "shipping_method": null,
      "step": "string",
      "subtotal": "string",
      "total": "string"
    },
    "errors": null,
    "message": null,
    "meta": null,
    "success": true
  }
  ```
</ResponseExample>
